Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1037623

Summary: package search resulting in ISE 500
Product: Red Hat Satellite 5 Reporter: Marian Csontos <mcsontos>
Component: WebUIAssignee: Tomas Lestach <tlestach>
Status: CLOSED DEFERRED QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 560CC: mzazrivec
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-04-09 11:05:41 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 924189    

Description Marian Csontos 2013-12-03 13:47:51 UTC
Description of problem
Searching libvirt* in RHEL6 channels I got ISE 500.

https://sputnik-prod/rhn/channels/software/Search.do?channel_
filter=2773&whereCriteria=relevant&search_string=libvirt*&view_mode=search_n
ame_and_summary

Page does not offer any relevant info but tells me to report it. So here it is.


Version-Release number of selected component (if applicable):
satellite v. 560
firefox-17.0.10-1.el6_4.x86_64


How reproducible:
Does not happen every time, some searches work fine, some do not.


Steps to Reproduce:
1. open the above URL


Actual results:
ISE 500


Expected results:
Either meaningful error message why the request can not be fulfilled or package list.


Additional info:

Comment 1 Milan Z√°zrivec 2013-12-03 13:59:20 UTC
The only thing that initially shows is in /var/log/tomcat6/catalina.out:

2013-12-03 14:57:10,447 [TP-Processor10] WARN  com.redhat.rhn.frontend.action.channel.PackageSearchAction - GET search: [com.redhat.rhn.frontend.dto.PackageOverview@661b661b[id=2259,packageName=libvirt,summary=Library providing a simple virtualization API

...
[bunch of package description text]
...

Dec 3, 2013 2:57:10 PM org.apache.jk.common.ChannelSocket processConnection
WARNING: processCallbacks status 2

After a while the webui just returns ISE.

Comment 2 Tomas Lestach 2018-04-09 11:05:41 UTC
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.

This is a low priority bug and has no currently open customer cases. While this bug may still valid, we do not see it being implemented prior to the EOL of the Satellite 5.x product. As such, this is being CLOSED DEFERRED. 

Closing now to help set customer expectations as early as possible. You are welcome to re-open this bug if needed.